From 77e8b91cf6b8facee1ee8f5e96df3ef3d68539fd Mon Sep 17 00:00:00 2001
From: Junwang Zhao <zhjwpku@gmail.com>
Date: Wed, 27 Apr 2022 16:08:50 +0800
Subject: [PATCH v1] remove redundant check of item pointer

In function ItemPointerEquals, the ItemPointerGetBlockNumber
already checked the ItemPointer if valid, there is no need
to check it again in ItemPointerGetOffset, so use
ItemPointerGetOffsetNumberNoCheck instead.

Signed-off-by: Junwang Zhao <zhjwpku@gmail.com>
---
 src/backend/storage/page/itemptr.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/storage/page/itemptr.c b/src/backend/storage/page/itemptr.c
index 9011337aa8..61ad727b1d 100644
--- a/src/backend/storage/page/itemptr.c
+++ b/src/backend/storage/page/itemptr.c
@@ -37,8 +37,8 @@ ItemPointerEquals(ItemPointer pointer1, ItemPointer pointer2)
 
 	if (ItemPointerGetBlockNumber(pointer1) ==
 		ItemPointerGetBlockNumber(pointer2) &&
-		ItemPointerGetOffsetNumber(pointer1) ==
-		ItemPointerGetOffsetNumber(pointer2))
+		ItemPointerGetOffsetNumberNoCheck(pointer1) ==
+		ItemPointerGetOffsetNumberNoCheck(pointer2))
 		return true;
 	else
 		return false;
-- 
2.33.0

